<template>
    <div>
        <RequestForm v-bind:request="request" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></RequestForm>
    </div>
</template>

<script>
import RequestForm from './Request.Form.vue';
import { editRequest } from '@/api/requests.service.js';
export default {

    computed: {
        request() {
            return this.$store.getters.getCurrentRequest;
        }
    },
    components: {
        RequestForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            let id = this.request._id;
            editRequest(id, this.request).then(() => {
                this.$router.go(-1);
            });
        },
        remove() {

        }
    },
    created() {
        this.$store.dispatch('setRequestById', this.$route.params.requestId);
    }
}
</script>

<style>

</style>
